#ifndef VIDOUT_H
#define VIDOUT_H
#include <wa_ipc.h>
#include "wa_msgids.h"
#include "stdafx.h"

class CVidOut : public CDialog
{
public:
	CVidOut(); 
	~CVidOut();
	PBITMAPINFO m_bmpinfo;
	HDC m_hdc;
	bool CanResize;
	unsigned char* donnees;
	int width;
	int height;
	void Draw();

	enum
	{
		IDD = IDD_VIDEO
	};

protected:
	virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPaint();

	DECLARE_MESSAGE_MAP()
};

class CIVideoOutput : public IVideoOutput
{
public:
	CVidOut* vidOut;
	int width;
	int height;
	CIVideoOutput();
	~CIVideoOutput();
	void SetVidOut(CVidOut* pvidOut);
	int open(int w, int h, int vflip, double aspectratio, unsigned int fmt);
	void setcallback(LRESULT(*msgcallback)(void* token, HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam), void* token);
	void close();
	void draw(void* frame);
	void drawSubtitle(SubsItem* item);
	void showStatusMsg(const char* text);
	int get_latency();
	void notifyBufferState(int bufferstate);

	int extended(int param1, int param2, int param3); // Dispatchable, eat this!
};

#endif
extern int infoWidth;
extern int infoHeight;
extern CString infoTitle;
