#ifndef MP3INFODLG_H
#define MP3INFODLG_H

#include "../Tools/MenuXP.h"
#include "../Tools/ButtonXP.h"

/////////////////////////////////////////////////////////////////////////////
// CMP3InfoDlg dialog

class CMP3InfoDlg : public CDialog
{
	// Construction
public:
	CMP3InfoDlg(CString fileName, BOOL mode);   // standard constructor
	~CMP3InfoDlg();
	CMP3InfoDlg* getInstance(CString fileName, BOOL mode);
	void ChangeEditMode(BOOL mode);

	BOOL editMode;
	CButtonXP m_btn_EditTag;
	CButtonXP m_btn_Ok;
	CButtonXP m_btn_Cancel;
	CString PrevFile;
	Tag::_TagInfo info;
	Tag::_TagInfo info2;

	void ReadInfo();

	enum
	{
		IDD = IDD_DIALOG_MP3INFO
	};

	CString m_album;
	CString m_artist;
	CString m_comment;
	CString m_album2;
	CString m_artist2;
	CString m_comment2;
	CString m_albumartist2;
	CString m_composer2;
	CString m_origartist2;
	CString m_copyright2;
	CString m_url2;
	CString m_encoded2;
	CString m_disc2;
	CString m_filename;
	CString m_genre;
	CString m_title;
	CString m_year;
	CString m_genre2;
	CString m_title2;
	CString m_year2;
	CString m_bitrate;
	CString m_freq;
	CString m_mode;

	CEdit m_c_album;
	CEdit m_c_artist;
	CEdit m_c_comment;
	CEdit m_c_album2;
	CEdit m_c_artist2;
	CEdit m_c_comment2;
	CEdit m_c_albumartist2;
	CEdit m_c_composer2;
	CEdit m_c_origartist2;
	CEdit m_c_copyright2;
	CEdit m_c_url2;
	CEdit m_c_encoded2;
	CEdit m_c_disc2;
	CEdit m_c_filename;
	CEdit m_c_genre;
	CEdit m_c_title;
	CEdit m_c_year;
	CEdit m_c_genre2;
	CEdit m_c_title2;
	CEdit m_c_year2;

	// Overrides
	// ClassWizard generated virtual function overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support

	// Implementation
protected:

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnOK();
	afx_msg void OnCancel();
	afx_msg void OnClose();
	afx_msg void OnEditTag();
	DECLARE_MESSAGE_MAP()
		DECLARE_MENUXP()
};

#endif

extern CMP3InfoDlg* MP3InfoDlg;
