#ifndef SETTINGSDIALOGAPPARENCETOOLTIP_H
#define SETTINGSDIALOGAPPARENCETOOLTIP_H
#include "Tools/menuXP.h"
#include "Tools/ButtonXP.h"
#include "Tools/ComboBoxXP.h"
#include "Tooltip/ColourPicker.h"
#include "Tooltip/PPTooltip.h"

// Bote de dialogue CSettingsDialogApparenceTooltip

class CSettingsDialogApparenceTooltip : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogApparenceTooltip)

public:
	CSettingsDialogApparenceTooltip();
	virtual ~CSettingsDialogApparenceTooltip();

	CComboBoxXP m_type;
	CComboBoxXP m_background;
	CColourPicker m_border_color;
	CColourPicker m_end_bk;
	CColourPicker m_mid_bk;
	CColourPicker m_start_bk;
	CButtonXP m_btnLook;
	int m_theme;
	int m_effect_bk;
	BYTE m_granularity;
	BOOL m_border;
	int m_custom_border;
	BYTE m_border_width;
	BYTE m_border_height;
	BYTE m_transparency;
	UINT m_show_time;
	UINT m_hide_time;
	UINT m_fade_in;
	UINT m_fade_out;
	DWORD m_animation;
	//}}AFX_DATA

	enum
	{
		IDD = IDD_SETTINGS_APPARENCE_TOOLTIP
	};

public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnChangeColorTheme();
	afx_msg void OnChangeEffect();
	afx_msg void OnShowBorder();
	afx_msg void OnSetBorder();
	afx_msg void OnChangeTransparency();
	afx_msg void OnChangeBehaviour();
	afx_msg void OnChangeTimers();
	afx_msg void OnChangeAniStep();
	afx_msg LONG OnChangeColorBk(UINT lParam = 0, LONG wParam = 0);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	afx_msg void OnOK();
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
		DECLARE_MENUXP()
};

#endif